Package: groovy.swing.impl

## [Java] Class ListWrapperListModel<E>

- groovy.swing.impl.ListWrapperListModel

- A `ListModel` implementation that's backed by a live `List`.

  Authors:
    Andres Almiray

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ListWrapperListModel (List<E> delegateList)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(int i, E e)`
    `` | `boolean` | `add(E e)`
    `` | `boolean` | `addAll(Collection<? extends E> es)`
    `` | `boolean` | `addAll(int i, Collection<? extends E> es)`
    `` | `void` | `clear()`
    `` | `boolean` | `contains(Object o)`
    `` | `boolean` | `containsAll(Collection<?> objects)`
    `` | `E` | `get(int i)`
    `` | `List<E>` | `getDelegateList()`
    `` | `Object` | `getElementAt(int i)`
    `` | `int` | `getSize()`
    `` | `int` | `indexOf(Object o)`
    `` | `boolean` | `isEmpty()`
    `` | `Iterator<E>` | `iterator()`
    `` | `int` | `lastIndexOf(Object o)`
    `` | `ListIterator<E>` | `listIterator()`
    `` | `ListIterator<E>` | `listIterator(int i)`
    `` | `E` | `remove(int i)`
    `` | `boolean` | `remove(Object o)`
    `` | `void` | `removeRange(int fromIndex, int toIndex)`
    `` | `E` | `set(int i, E e)`
    `<T>` | `T[]` | `toArray(T[] ts)`
    `` | `Object[]` | `toArray()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractListModel` | `getListDataListeners, addListDataListener, removeListDataListener, getListeners, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, getSize, getElementAt`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ListWrapperListModel(List<E> delegateList)

  - ### Method Detail

    - #### public void add(int i, E e)

    - #### public boolean add(E e)

    - #### public boolean addAll(Collection<? extends E> es)

    - #### public boolean addAll(int i, Collection<? extends E> es)

    - #### public void clear()

    - #### public boolean contains(Object o)

    - #### public boolean containsAll(Collection<?> objects)

    - #### public E get(int i)

    - #### public List<E> getDelegateList()

    - #### public Object getElementAt(int i)

    - #### public int getSize()

    - #### public int indexOf(Object o)

    - #### public boolean isEmpty()

    - #### public Iterator<E> iterator()

    - #### public int lastIndexOf(Object o)

    - #### public ListIterator<E> listIterator()

    - #### public ListIterator<E> listIterator(int i)

    - #### public E remove(int i)

    - #### public boolean remove(Object o)

    - #### public void removeRange(int fromIndex, int toIndex)

    - #### public E set(int i, E e)

    - #### <T> public T[] toArray(T[] ts)

    - #### public Object[] toArray()